SVG symbols don't highlight when selected
Easy fix?: No Copied to github as #: 11846

Description

Selecting points from the GIS canvas works for built-in symbols (circle, etc.), where the symbol is "highlighted" or masked by the selection

colour, which is in Settings > Options... dialog (default is cyan).

However, if the point symbology uses SVG symbols, the symbols are no longer highlighted in the map canvas if selected. This makes

tasks, such as deleting, a bit troublesome.

History

#1 - 2009-07-20 12:15 PM - Giovanni Manghi

I maybe be wrong, but I don't think that is the prerogative of any gis desktop program to create (on the fly?) an "alternate" version of an svg symbol in order

to see it highlighted when selected. As a matter of fact I can't recall any program that do that, but maybe there is room for an enhancement.

Let see what other people (devs) think about his matter.

#2 - 2009-07-20 02:06 PM - Martin Dobias

It is possible to "highlight" svg symbol: once the symbol is rendered into an image, the image can be colorized with selection color.

#3 - 2009-07-20 02:19 PM - Giovanni Manghi

ok. As supposed, I was wrong.

#4 - 2009-12-18 12:14 PM - rtb -

I have a case where Quantum shows an electrical network with devices represented by SVG symbols.  It's imperative to know which symbols are selected

and which are not.  I'd like to propose a couple of alternatives besides "re-coloring" the SVG symbol.

One approach follows the lead of the identify features tool and simply places a marker on top of selected symbols.  I've managed a work-around in a

Python plugin by catching the map canvas selectionChanged() signal and doing just that: I maintain a list of markers (!QgsVertexMarker) designating SVG

symbols currently selected.

A second approach would add an option in the symbology tab for users to specify the symbol to represent selected features.

#5 - 2010-02-02 12:40 AM - luca76 -

Confirmed here.
The simple "point" features are highlighted, while the SVG symbols not.

#6 - 2010-04-18 11:18 AM - Martin Dobias

Fixed for new symbology in commit:8c7a31d3 (SVN r13323).

#7 - 2011-12-16 01:57 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#8 - 2012-04-15 10:11 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#9 - 2012-10-06 02:28 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#10 - 2013-03-16 12:55 PM - Giovanni Manghi

- Pull Request or Patch supplied set to No

- Status changed from Open to Closed

- Assignee deleted (nobody -)

- Resolution set to fixed

In master they have now the selection color around.
